import rhinoscriptsyntax as rs
import scriptcontext 
import random

def drawbranch(x,line):
    scriptcontext.escape_test()
    if (x==0):
        return
    else:
        for i in range(0,3):
            endpt = rs.CurveEndPoint(line)
            stpt = rs.CurveStartPoint(line)
            vect = rs.VectorCreate(endpt,stpt)
            rnd = random.randint(-30,30)
            rndrot1 = random.randint(-15,15)
            rndrot2 = random.randint(-15,15)
            rndrot3 = random.randint(-15,15)
            vect = rs.VectorRotate(vect,rnd,[rndrot1,rndrot2,rndrot3])
            ptAdd = rs.PointAdd(endpt,vect)
            line = rs.AddLine(endpt,ptAdd)
            drawbranch(x-1,line)
            
line = rs.AddLine([0,0,0],[0,0,10])
drawbranch(8,line)