import rhinoscriptsyntax as rs
 
def curvaturecircle():
    curve = rs.GetObject("Select curve for curvature measurement", rs.filter.curve, True)
    divz = rs.GetInteger("How many divz?")
    if not curve: return
 
    points = rs.DivideCurve(curve,divz)
    for c in points:
        crv_t = rs.CurveClosestPoint(curve, c)
        arr = rs.CurveCurvature(curve, crv_t)
        crv_pl = rs.PlaneFromFrame(arr[0], arr[1], arr[4])
        pl = rs.MovePlane(crv_pl, arr[0])
 
        rs.AddCircle(pl, arr[3]/10)
        rs.AddPoint(arr[0])
        
 
curvaturecircle()